<template>
  <v-row>
    <v-col cols="12">
      <v-row
        v-for="(experience, index) in experiences"
        :key="index"
        align="baseline"
      >
        <v-col md="11">
          <ExperienceSelect
            :multiple="false"
            :update-experience="
              experience => updateExperiences(index, experience)
            "
          />
        </v-col>
        <!-- <v-col md="5">
          <v-text-field
            label="From"
            single-line
            outlined
            hide-details="auto"
          ></v-text-field>
        </v-col> -->
        <v-col md="1">
          <v-icon @click="experiences.splice(index, 1)"
            >mdi-minus-circle</v-icon
          >
        </v-col>
      </v-row>
    </v-col>
    <v-col cols="12">
      <v-btn color="success" @click="add"
        ><v-icon>mdi-plus</v-icon>Add License</v-btn
      >
    </v-col>
  </v-row>
</template>

<script>
import ExperienceSelect from '@/components/Shared/UI/ExperienceSelect'

export default {
  name: 'LicenseAndCredentials',
  components: {
    ExperienceSelect
  },
  props: {
    next: { type: Function }
  },
  data: () => ({
    experiences: []
  }),

  methods: {
    add() {
      if (
        this.experiences.length === 0 ||
        this.experiences[this.experiences.length - 1] !== null
      ) {
        this.experiences.push(null)
      }
    },
    updateExperiences(index, experience) {
      let exists = false
      this.experiences.forEach(exp => {
        if (exp === experience) {
          exists = true
        }
      })
      if (!exists) {
        const clone = this.experiences
        clone[index] = experience
        this.experiences = clone
        this.$emit('update', 'experiences', this.experiences)
      }
    }
  }
}
</script>

<style lang="scss">
.skip {
  text-align: center;
  color: #428a16;
}
</style>
